#include <stdint.h>
#include "MKL26Z4.h"

#include <dm_1wire_control.h>

volatile uint32_t main_loop_count;
volatile uint8_t tx_data[32], rx_data[32];

void delay_sw(uint32_t _delay_count);

int main(void)
{
	main_loop_count = 0;
	
	dm_1wire_init();
	
	while(1)
	{
		main_loop_count++;

		dm_1wire_reset_pulse();
		delay_sw(5000);
		
		tx_data[0] = 0x33;
		dm_1wire_txrx((uint8_t*) &tx_data[0], (uint8_t*) &rx_data[0], 1);
		delay_sw(5000);
		
		tx_data[1] = 0xFF;
		tx_data[2] = 0xFF;
		tx_data[3] = 0xFF;
		tx_data[4] = 0xFF;
		tx_data[5] = 0xFF;
		tx_data[6] = 0xFF;
		tx_data[7] = 0xFF;
		tx_data[8] = 0xFF;
		dm_1wire_txrx((uint8_t*) &tx_data[1], (uint8_t*) &rx_data[1], 8);
		delay_sw(5000);
		
		delay_sw(10000);
		
	}
	
	return 0;
}

void delay_sw(uint32_t delay_count)
{
	while(0 != delay_count)
	{
		delay_count--;
	}
	
	return;
}
